> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /goodreads/books

> Get Goodreads (goodreads.com) book details by book id, id with slug, or book URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Book not found



## OpenAPI

````yaml /openapi/books.json post /api/goodreads/books
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/goodreads/books:
    post:
      tags:
        - /goodreads
      summary: /goodreads/books
      description: >-
        Get Goodreads (goodreads.com) book details by book id, id with slug, or
        book URL


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Book not found
      operationId: __api_goodreads_books_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoodreadsBooksPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoodreadsBook'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GoodreadsBooksPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        book:
          type: string
          minLength: 1
          pattern: ^(?:https?://[^\s]+|(?:www\.)?goodreads\.com[^\s]*|\d[\w.\-]*|\d+)$
      type: object
      required:
        - book
    GoodreadsBook:
      properties:
        '@type':
          type: string
          default: GoodreadsBook
        id:
          anyOf:
            - type: string
            - type: 'null'
        legacy_id:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        title_complete:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/GoodreadsContributor'
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        series:
          anyOf:
            - type: string
            - type: 'null'
        series_position:
          anyOf:
            - type: string
            - type: 'null'
        genres:
          items:
            type: string
          type: array
          default: []
        format:
          anyOf:
            - type: string
            - type: 'null'
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
        publisher:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        isbn:
          anyOf:
            - type: string
            - type: 'null'
        isbn13:
          anyOf:
            - type: string
            - type: 'null'
        asin:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        original_title:
          anyOf:
            - type: string
            - type: 'null'
        first_published_at:
          anyOf:
            - type: integer
            - type: 'null'
        first_publish_year:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating_dist:
          items:
            type: integer
          type: array
          default: []
        awards:
          items:
            type: string
          type: array
          default: []
        characters:
          items:
            type: string
          type: array
          default: []
        places:
          items:
            type: string
          type: array
          default: []
        quote_count:
          anyOf:
            - type: integer
            - type: 'null'
        question_count:
          anyOf:
            - type: integer
            - type: 'null'
        discussion_count:
          anyOf:
            - type: integer
            - type: 'null'
        currently_reading_count:
          anyOf:
            - type: integer
            - type: 'null'
        want_to_read_count:
          anyOf:
            - type: integer
            - type: 'null'
        ebook_price:
          anyOf:
            - type: number
            - type: 'null'
        buy_links:
          items:
            $ref: '#/components/schemas/GoodreadsBuyLink'
          type: array
          default: []
      type: object
      required:
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GoodreadsContributor:
      properties:
        '@type':
          type: string
          default: GoodreadsContributor
        id:
          anyOf:
            - type: string
            - type: 'null'
        legacy_id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
        role:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GoodreadsBuyLink:
      properties:
        '@type':
          type: string
          default: GoodreadsBuyLink
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````